Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.spatial
Class VectorPathType

    Object
      CodeList<E>
          SimpleEnumerationType<PathType>
              PathType
                  VectorPathType

All Implemented Interfaces:
  Serializable, Comparable<PathType>

    public final class VectorPathType

extends PathType

This class serves to contain one static constant, VECTOR, indicating that the in-between points of a path are points on the Euclidean shortest distance line between the vertices. This line should be computed in whatever "real-world" space the points live. So for example, if the points are LatLonAlts, then the shortest distance line should be computed in a coordinate system such as Earth Centered Earth Fixed (ECEF).

As an example of the use of VECTOR, consider two buildings some distance apart, each with a person standing on top. If one of the people were to fire a laser at the other, the beam would follow a straight path that does not bend with the surface of the earth. This straight path is what is meant by VECTOR.

See Also:
  Serialized Form

Field Summary
`static VectorPathType` | `VECTOR` The path that is the Euclidean shortest distance path.

Constructor Summary
`VectorPathType(String name, String description)` Creates a new `VectorPathType` with the given name.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static PathType[]` | `values()` Returns the list of `VectorPathType`s.

Methods inherited from class SimpleEnumerationType
`getDescription, getIcon, getNullIcon, loadIconResource, toString`

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VECTOR

    public static final VectorPathType VECTOR

  The path that is the Euclidean shortest distance path.

Constructor Detail

### VectorPathType

    public VectorPathType(String name,
                          String description)

  Creates a new `VectorPathType` with the given name.

  Parameters:
    `name` - the short name for the enum.
    `description` - the description for the enum.

Method Detail

### values

    public static PathType[] values()

  Returns the list of `VectorPathType`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Overrides:
    `family` in class `PathType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.